Package org.bukkit

# Enum Class PortalType

java.lang.Object
java.lang.Enum<PortalType>
org.bukkit.PortalType

All Implemented Interfaces:
  `Serializable`, `Comparable<PortalType>`, `Constable`

public enum PortalType extends Enum<PortalType>
Represents various types of portals that can be made in a world.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CUSTOM`
This is a custom Plugin portal.
`ENDER`
This is an Ender portal.
`NETHER`
This is a Nether portal, made of obsidian.

## Method Summary

Modifier and Type
Method
Description
`static PortalType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static PortalType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NETHER

public static final PortalType NETHER
This is a Nether portal, made of obsidian.

### ENDER

public static final PortalType ENDER
This is an Ender portal.

### CUSTOM

public static final PortalType CUSTOM
This is a custom Plugin portal.

## Method Details

### values

public static PortalType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static PortalType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null